SUSE SLED15 / SLES15 / openSUSE 15 セキュリティ更新: python310 (SUSE-SU-2022:3473-1)

high Nessus プラグイン ID 165615

言語:

概要

リモートの SUSE ホストに 1 つ以上のセキュリティ更新がありません。

説明

リモートの SUSE Linux SLED15 / SLES15 / openSUSE 15 ホストには、SUSE-SU-2022:3473-1 のアドバイザリに記載されている複数の脆弱性の影響を受けるパッケージがインストールされています。

- python で欠陥が見つかりました。非バイナリベースを使用する二次時間複雑性のあるアルゴリズムでは、int(text) を使用する場合に、システムが 100,000 桁と 5s の int 文字列を 1,000,000 桁 (バイナリベース 2、4、8、16、32 の float、decimal、int.from_bytes()、int() は影響を受けません) に対して解析するのに 50 ミリ秒かかる可能性があります。この脆弱性が最大の脅威となるのは、システムの可用性です。(CVE-2020-10735)

- ** 異論あり ** Python 3.x 〜 3.10 には、URI パスの先頭にある複数 (/) に対する保護がないため、lib/http/server.py にオープンリダイレクトの脆弱性があり、情報漏洩を引き起こす可能性があります。
注: これは、http.server.html ドキュメントのページに以下の警告があるため、サードパーティによって反論されています。
実稼働では http.server は推奨されません。基本的なセキュリティチェックのみを実装します。(CVE-2021-28861)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://bugzilla.suse.com/1202624

https://www.suse.com/security/cve/CVE-2021-28861

https://bugzilla.suse.com/1203125

http://www.nessus.org/u?264a42e4

https://www.suse.com/security/cve/CVE-2020-10735

プラグインの詳細

深刻度: High

ID: 165615

ファイル名: suse_SU-2022-3473-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2022/10/1

更新日: 2023/1/20

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

リスク情報

VPR

リスクファクター: Medium

スコア: 6.1

CVSS v2

リスクファクター: High

Base Score: 7.8

Temporal Score: 5.8

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:C/I:N/A:N

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-28861

CVSS v3

リスクファクター: High

Base Score: 7.4

Temporal Score: 6.4

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:novell:suse_linux:15:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libpython3_10-1_0:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-base:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-curses:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-dbm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-idle:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-tk:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:python310-tools:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/9/30

脆弱性公開日: 2022/8/23

参照情報

CVE: CVE-2021-28861, CVE-2020-10735

SuSE: SUSE-SU-2022:3473-1